<script lang="ts">
  import CompetitionListCard from '$lib/competitions/CompetitionListCard.svelte';
  import EventFilter from '$lib/filters/EventFilter.svelte';
  import { EngagementData } from '$lib/data/engagementData';
  import { SortByParticipation } from '$lib/data/util';

  let events = SortByParticipation(Object.values(EngagementData.data.competitions));
</script>

<div class="container px-2 mx-auto">
  <EventFilter class="mt-2 rounded-lg" showSorting={true} bind:events />

  <div class="justify-center grid gap-5 mt-5 lg:grid-cols-2 2xl:grid-cols-3">
    {#each events as event (event.name)}
      <CompetitionListCard title={event.name} data={event} />
    {/each}
  </div>
</div>
